# 32/64bit spec-file
#
%define	name	unison
%define	version	2.48.4

Summary:	Unison is a file-synchronization tool for Unix and Windows
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
License:	GPL
Group:		File tools
Requires:	openssh-clients x11-font-schumacher-misc rsync
BuildRequires:	ocaml-lablgtk2-devel gtk+2-devel glib2-devel pango-devel emacs-bin
Source0:	http://www.cis.upenn.edu/~bcpierce/unison/download/release/%name-%version/%name-%version.tar.xz
Source1:	unison.png
URL:		http://www.cis.upenn.edu/~bcpierce/unison/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 	%{name} < %version

%description
Unison is a file-synchronization tool for Unix and Windows. It allows
two replicas of a collection of files and directories to be stored on
different hosts (or different disks on the same host), modified
separately, and then brought up to date by propagating the changes in
each replica to the other. Unlike simple mirroring or backup
utilities, Unison can deal with updates to both replicas of a
distributed directory structure. Updates that do not conflict are
propagated automatically.  Conflicting updates are detected and
displayed. Unison can synchronize either locally (between volumes
mounted on the same computer) or remotely,between any pair of machines
connected to the internet, communicating over either a direct socket
link or tunneling over an rsh or an encrypted ssh connection. It is
careful with network bandwidth, and runs well over slow links such as
PPP connections. Unison is available for both Windows (95/98/NT/2K)
and Unix (Linux, Solaris). Moreover, Unison works across platforms,
allowing you to synchronize a Windows laptop with a Unix server, for
example.

%prep
%setup -qn src

%build
make -j1 THREADS=true UISTYLE=gtk2 buildexecutable

%install
rm -rf $RPM_BUILD_ROOT
install -m755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Name=Unison
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=unison.png
Terminal=false
Type=Application
Categories=Utility;X-MandrivaLinux-System-FileTools;
Encoding=UTF-8
EOF

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/pixmaps/unison.png


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS TODO.txt README CONTRIB
%{_bindir}/*
%{_datadir}/applications/*-%{name}.desktop
%{_datadir}/pixmaps/unison.png

%changelog
* Sat Aug 05 2017 bb2 <bb2> 2.48.4-1pclos2017
- update to new version since ocaml has been updated

* Mon Mar 25 2013 pinoc <vogtpet at gmail.com> 2.40.102-1pclos2013
- 2.40.102

* Fri Jun 24 2011 Texstar <texstar at gmail.com> 2.40.61-1pclos2011
- update version for new gcc/glibc

